---
title: WebGL2RenderingContext.getUniformBlockIndex()
slug: Web/API/WebGL2RenderingContext/getUniformBlockIndex
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getUniformBlockIndex()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> retrieves the index of a uniform block within a {{domxref("WebGLProgram")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLuint <var>gl</var>.getUniformBlockIndex(<var>program</var>, <var>uniformBlockName</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>program</code></dt>
	<dd>A {{domxref("WebGLProgram")}} containing the uniform block.</dd>
	<dt><code>uniformName</code></dt>
	<dd>A {{domxref("DOMString")}} specifying the name of the uniform block to whose index to retrieve.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLuint")}} indicating the uniform block index.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Assuming a shader with the following declaration:
// uniform UBOData {
//   mat4 foo;
// } instanceName;

// use the block name, not the instance name:
var blockIndex = gl.getUniformBlockIndex(program, 'UBOData');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('WebGL2', "#3.7.16", "getUniformBlockIndex")}}</td>
			<td>{{Spec2('WebGL2')}}</td>
			<td>Initial definition for WebGL.</td>
		</tr>
		<tr>
			<td>{{SpecName('OpenGL ES 3.0', "glGetUniformBlockIndex.xhtml", "glGetUniformBlockIndex")}}</td>
			<td>{{Spec2('OpenGL ES 3.0')}}</td>
			<td>Man page of the (similar) OpenGL API.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getUniformBlockIndex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("WebGL2RenderingContext.getUniformIndices()")}}</li>
</ul>
